CMNodeFactory (Xerces2 Implementation)
Date: 2018-10-16

org.apache.xerces.impl.xs.models

## Class CMNodeFactory

- java.lang.Object
- - org.apache.xerces.impl.xs.models.CMNodeFactory

-     public class CMNodeFactory
      extends java.lang.Object

  Version:
    $Id: CMNodeFactory.java 911823 2010-02-19 14:38:42Z mrglavas $
  Author:
    Neeraj Bajaj

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMNodeFactory()` default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CMNode` | `getCMBinOpNode(int type, CMNode leftNode, CMNode rightNode)`
    `CMNode` | `getCMLeafNode(int type, java.lang.Object leaf, int id, int position)`
    `CMNode` | `getCMRepeatingLeafNode(int type, java.lang.Object leaf, int minOccurs, int maxOccurs, int id, int position)`
    `CMNode` | `getCMUniOpNode(int type, CMNode childNode)`
    `void` | `nodeCountCheck()`
    `void` | `reset()`
    `void` | `reset(org.apache.xerces.xni.parser.XMLComponentManager componentManager)`
    `void` | `resetNodeCount()`
    `void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` Sets the value of a property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMNodeFactory

          public CMNodeFactory()

      default constructor

  - ### Method Detail

    - #### reset

          public void reset(org.apache.xerces.xni.parser.XMLComponentManager componentManager)

    - #### reset

          public void reset()

    - #### getCMLeafNode

          public CMNode getCMLeafNode(int type,
                                      java.lang.Object leaf,
                                      int id,
                                      int position)

    - #### getCMRepeatingLeafNode

          public CMNode getCMRepeatingLeafNode(int type,
                                               java.lang.Object leaf,
                                               int minOccurs,
                                               int maxOccurs,
                                               int id,
                                               int position)

    - #### getCMUniOpNode

          public CMNode getCMUniOpNode(int type,
                                       CMNode childNode)

    - #### getCMBinOpNode

          public CMNode getCMBinOpNode(int type,
                                       CMNode leftNode,
                                       CMNode rightNode)

    - #### nodeCountCheck

          public void nodeCountCheck()

    - #### resetNodeCount

          public void resetNodeCount()

    - #### setProperty

          public void setProperty(java.lang.String propertyId,
                                  java.lang.Object value)
                           throws org.apache.xerces.xni.parser.XMLConfigurationException

      Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

      Note: Components should silently ignore properties that do not affect the operation of the component.

      Parameters:
        `propertyId` - The property identifier.
        `value` - The value of the property.
      Throws:
        `SAXNotRecognizedException` - The component should not throw this exception.
        `SAXNotSupportedException` - The component should not throw this exception.
        `org.apache.xerces.xni.parser.XMLConfigurationException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.